Skip to content
English
  • There are no suggestions because the search field is empty.

Stores and Indexes the uploaded statement.

PUT /statements/v1 Select code sample Fetch cURL
const url = 'https://example.com/statements/v1';const options = {  method: 'PUT',  headers: {Authorization: 'Bearer 
  
   ', 'Content-Type': 'application/json'}, body: '{"generate_id":"false","graph_id":"00000000-0000-0000-0000-000000000000","issue_vc":"false","statement":{}}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}
  
curl --request PUT \  --url https://example.com/statements/v1 \  --header 'Authorization: Bearer 
  
   ' \ --header 'Content-Type: application/json' \ --data '{ "generate_id": "false", "graph_id": "00000000-0000-0000-0000-000000000000", "issue_vc": "false", "statement": {} }'
  

Stores and Indexes the uploaded statement.

Authorizations

Section titled “Authorizations ”

Request Body required

Section titled “Request Body required ”

The statement JSON must provide an @id field unless generate_id is set to true. If generate_id is true, the service computes the statement CID and inserts it as statement.@id. If omitted or false, the submitted statement must already include a matching @id field.

Media type application/json object generate_id

If true, the service computes the statement CID and inserts it as statement.@id. If omitted or false, the submitted statement must already include a matching @id field.

boolean nullable
Example
false
graph_id

The uuid of the graph to register the statement under. This is the uuid used to retrieve this statement as part of a larger graph.

string nullable
Example
00000000-0000-0000-0000-000000000000
issue_vc

Set to true to create a verifiable credential for the statement.

boolean nullable
Example
false
statement required

Integrity statement JSON. Provide an @id field unless generate_id is set to true.

object

Responses

Section titled “ Responses ”

200

Section titled “200 ”

Statement was stored and indexed. Referenced Metadata was previously stored

Media type application/json object jcs_cid required string rdfc_cid required string
Example generated
{  "jcs_cid": "example",  "rdfc_cid": "example"}

201

Section titled “201 ”

Statement was stored and indexed succesfully

Media type application/json object jcs_cid required string rdfc_cid required string
Example generated
{  "jcs_cid": "example",  "rdfc_cid": "example"}

400

Section titled “400 ”

The statement is missing @id while generate_id is unset, the provided @id does not match the computed statement CID, or the specified graph_id has not been registered. Register missing graphs at PUT “/graph/v1/”.

Media type application/json object callstack object One of: object internal required string object external required object error nullable url required string error required string
Example generated
{  "callstack": {    "internal": "example"  },  "error": "example"}
Previous
Overview
Next
Stores and indexes the uploaded statements in batch.